<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JavaScript: Level 0</title>
</head>

<body>
    <script>
        console.log('Harjutus 2');
        let doublePiValue = 2 * 3.14;
        console.log(doublePiValue);

        console.log("Harjutus 3");
        // Math.random() [0.....1]
        // parseInt(3.14)
        let randomNumber = Math.random(); // Juhuslik arv vahemikus 0 ... 0.9999...
        randomNumber = randomNumber * 100;
        randomNumber = parseInt(randomNumber);
        console.log(randomNumber);

        console.log('Harjutus 4');
        randomNumber = Math.random();
        randomNumber = parseInt(randomNumber * 11);
        console.log(randomNumber);

        // console.log('Harjutus 5');
        // alert("Olen tüütu popup-aken");

        // CTRL + ä
        // console.log('Harjutus 6');
        // let isAdult = confirm('Oled vähemalt 18 aastat vana?');
        // if (isAdult) {
        //     console.log("Täisealine");
        // } else {
        //     console.log("Alaealine");
        // }

        // console.log('Harjutus 7');
        // let repeatCount = prompt('Sisesta number:');
        // repeatCount = parseInt(repeatCount);

        // for (let u = 0; u <= repeatCount; u++) {
        //     console.log(u);
        // }

        // console.log('Harjutus 8');
        // let repeatCount = prompt('Sisesta number:');

        // let myNumber = 0;
        // while (myNumber <= repeatCount) {
        //     console.log(myNumber);
        //     myNumber = myNumber + 1;
        // }

        console.log('Harjutus 9');
        let repeatCount = prompt('Sisesta number:');
        let myNumber = 0;
        do {
            console.log(myNumber);
            myNumber += 1;
            // myNumber = myNumber + 1;
            // myNumber++;
        } while (myNumber <= repeatCount);

    </script>
</body>

</html>